Module jdk.dynalink
Package jdk.dynalink.linker

# Interface MethodHandleTransformer

All Known Implementing Classes:
  `DefaultInternalObjectFilter`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface MethodHandleTransformer
A generic interface describing operations that transform method handles. Typical usage is for implementing `internal objects filters`.

## Method Summary

Modifier and Type
Method
Description
`MethodHandle`
`transform(MethodHandle target)`
Transforms a method handle.

## Method Details

### transform

MethodHandle transform(MethodHandle target)
Transforms a method handle.

Parameters:
  `target` - the method handle being transformed.
Returns:
  transformed method handle.